import { z } from "zod"

export const citySchema = z.object({
  attributes: z.object({
    cityIdentifier: z.string().default(""),
    ianaTimeZoneId: z.string().default(""),
    isPublished: z.boolean().default(false),
    keywords: z.array(z.string()).default([]),
    name: z.string(),
    timeZoneId: z.string().default(""),
  }),
  id: z.string(),
  type: z.literal("cities"),
})
